Package org.jboss.resteasy.jose.jwe

## Enum Algorithm

- java.lang.Object
- - java.lang.Enum<Algorithm>
  - - org.jboss.resteasy.jose.jwe.Algorithm

- All Implemented Interfaces:
    `Serializable`, `Comparable<Algorithm>`

      public enum Algorithm
      extends Enum<Algorithm>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `dir` |
    `RSA_OAEP` |
    `RSA1_5` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Algorithm` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Algorithm[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RSA1_5

          public static final Algorithm RSA1_5

    - #### RSA_OAEP

          public static final Algorithm RSA_OAEP

    - #### dir

          public static final Algorithm dir

  - ### Method Detail

    - #### values

          public static Algorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Algorithm c : Algorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Algorithm valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null